org.jgrapht.ext

## Interface VertexNameProvider<V>

- All Known Implementing Classes:
    IntegerNameProvider, StringNameProvider

      public interface VertexNameProvider<V>

  Assigns a display name for each of the graph vertices.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getVertexName(V vertex)` Returns a unique name for a vertex.

- - ### Method Detail

    - #### getVertexName

          String getVertexName(V vertex)

      Returns a unique name for a vertex. This is useful when exporting a a graph, as it ensures that all vertices are assigned simple, consistent names.
      Parameters:
        `vertex` - the vertex to be named
      Returns:
        the name of the vertex

Copyright © 2016. All rights reserved.